"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; desc = parent = getter = undefined; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; continue _function; } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _jsUtilReact = require("js-util/react");

var _Text = require("./Text");

var _Text2 = _interopRequireDefault(_Text);

var _jsUtil = require("js-util");

/**
 * A Function with parameters details.
 */

var Function = (function (_React$Component) {
  _inherits(Function, _React$Component);

  function Function() {
    _classCallCheck(this, Function);

    _get(Object.getPrototypeOf(Function.prototype), "constructor", this).apply(this, arguments);
  }

  // API -------------------------------------------------------------------------

  _createClass(Function, [{
    key: "render",
    value: function render() {
      var _props = this.props;
      var value = _props.value;
      var italic = _props.italic;
      var size = _props.size;

      var textProps = { italic: true, size: size };
      var name = value.name;

      name = name === "value" ? "function" : name;
      var elName = name && _react2["default"].createElement(
        _Text2["default"],
        _extends({}, textProps, { color: "blue" }),
        name
      );
      var elComma = _react2["default"].createElement(
        _Text2["default"],
        textProps,
        ","
      );
      var params = [];
      var paramNames = (0, _jsUtil.functionParameters)(value);
      paramNames.forEach(function (name, i) {
        var isLast = i === paramNames.length - 1;
        params.push(_react2["default"].createElement(
          _Text2["default"],
          _extends({ key: i }, textProps, { color: "red" }),
          name
        ));
        if (!isLast) {
          params.push(_react2["default"].createElement(
            _Text2["default"],
            _extends({ key: i + "comma" }, textProps, { marginRight: 6 }),
            ","
          ));
        }
      });

      return _react2["default"].createElement(
        "span",
        null,
        elName,
        _react2["default"].createElement(
          _Text2["default"],
          textProps,
          "("
        ),
        params,
        _react2["default"].createElement(
          _Text2["default"],
          textProps,
          ")"
        )
      );
    }
  }]);

  return Function;
})(_react2["default"].Component);

exports["default"] = Function;
Function.propTypes = {
  value: _jsUtilReact.PropTypes.func.isRequired,
  size: _Text2["default"].propTypes.size
};
Function.defaultProps = {
  size: _Text2["default"].defaultProps.size
};
module.exports = exports["default"];