"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _ramda = require("ramda");

var _ramda2 = _interopRequireDefault(_ramda);

var isEmptyObjectOrArray = function isEmptyObjectOrArray(value) {
  if (_ramda2["default"].is(Object, value)) {
    return _ramda2["default"].keys(value).length === 0;
  }
  if (_ramda2["default"].is(Array, value)) {
    return value.length === 0;
  }
  return false;
};
exports.isEmptyObjectOrArray = isEmptyObjectOrArray;