"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _componentsDate = require("../components/Date");

var _componentsDate2 = _interopRequireDefault(_componentsDate);

var _sections = require("./sections");

var getDate = function getDate() {
  var minsOffset = arguments.length <= 0 || arguments[0] === undefined ? 0 : arguments[0];

  return new Date(new Date().getTime() + minsOffset * 60000);
};

describe("Date", function () {
  var _this = this;

  this.header("## A Date object.");
  before(function () {
    _this.align("top left").load(_react2["default"].createElement(_componentsDate2["default"], { value: new Date() }));
  });

  section("Value", function () {
    it("`now`", function () {
      return _this.load(_react2["default"].createElement(_componentsDate2["default"], { value: new Date() }));
    });
    it("`5 minutes ago`", function () {
      return _this.load(_react2["default"].createElement(_componentsDate2["default"], { value: getDate(-5) }));
    });
    it("`5 minutes from now`", function () {
      return _this.load(_react2["default"].createElement(_componentsDate2["default"], { value: getDate(5) }));
    });
  });
});