"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _componentsFunction = require("../components/Function");

var _componentsFunction2 = _interopRequireDefault(_componentsFunction);

var _sections = require("./sections");

var fn1 = function myFunc(param1, param2) {};
var fn2 = function myFunc() {};
var fn3 = function value() {};

describe("Function", function () {
  var _this = this;

  this.header("## A Function with parameters details.");

  before(function () {
    _this.align("top left").load(_react2["default"].createElement(_componentsFunction2["default"], { value: fn1 }));
  });

  section("Values", function () {
    it("`named with 2 params`", function () {
      return _this.load(_react2["default"].createElement(_componentsFunction2["default"], { value: fn1 }));
    });
    it("`named with no params`", function () {
      return _this.load(_react2["default"].createElement(_componentsFunction2["default"], { value: fn2 }));
    });
    it("`named 'value'`", function () {
      return _this.load(_react2["default"].createElement(_componentsFunction2["default"], { value: fn3 }));
    });
    it("`unnamed with 1 param`", function () {
      return _this.load(_react2["default"].createElement(_componentsFunction2["default"], { value: function (p1) {
          return 0;
        } }));
    });
    it("`unnamed with no params`", function () {
      return _this.load(_react2["default"].createElement(_componentsFunction2["default"], { value: function () {
          return true;
        } }));
    });
  });

  _sections.sizeSection.call(this);
});