"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _componentsPrimitive = require("../components/Primitive");

var _componentsPrimitive2 = _interopRequireDefault(_componentsPrimitive);

var _sections = require("./sections");

describe("Primitive", function () {
  var _this = this;

  this.header("## A simple primitive value.");
  before(function () {
    _this.align("top left").load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: "My String" }));
  });

  section("load", function () {
    it("`string`", function () {
      return _this.load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: "My string" }));
    });
    it("`number`", function () {
      return _this.load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: 123 }));
    });
    it("`true`", function () {
      return _this.load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: true }));
    });
    it("`false`", function () {
      return _this.load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: false }));
    });
    it("`null`", function () {
      return _this.load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: null }));
    });
    it("`undefined`", function () {
      return _this.load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: undefined }));
    });
    it("`object` (error)", function () {
      return _this.load(_react2["default"].createElement(_componentsPrimitive2["default"], { value: { foo: 123 } }));
    });
  });

  _sections.italicSection.call(this);
  _sections.sizeSection.call(this);
});