"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _componentsText = require("../components/Text");

var _componentsText2 = _interopRequireDefault(_componentsText);

var _sections = require("./sections");

describe("Text", function () {
  var _this = this;

  this.header("## Text display with commonly used style properties.");
  before(function () {
    _this.align("top left").load(_react2["default"].createElement(
      _componentsText2["default"],
      { color: "red" },
      "My Text"
    ));
  });

  _sections.inlineSection.call(this);
  _sections.italicSection.call(this);
  _sections.sizeSection.call(this);

  section("color", function () {
    Object.keys(_componentsText.COLORS).forEach(function (color) {
      it("`" + color + "`", function () {
        return _this.props({ color: color });
      });
    });
  });
});